> For the complete documentation index, see [llms.txt](https://apidocs.akinon.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://apidocs.akinon.com/oms-openapis/transfer/models.md).

# Models

## The TransferOrder object

```json
{"openapi":"3.0.3","info":{"title":"OMS Transfers Module API","version":"1.0.0"},"components":{"schemas":{"TransferOrder":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"number":{"type":"string","description":"Transfer order number"},"state":{"type":"object","description":"Transfer order state information"},"order":{"type":"object","description":"Associated order information"},"package":{"type":"object","description":"Associated package information"},"source":{"type":"object","description":"Source stock location information"},"destination":{"type":"object","description":"Destination stock location information"},"created_date":{"type":"string","format":"date-time","description":"Creation timestamp"},"modified_date":{"type":"string","format":"date-time","description":"Last modification timestamp"},"extra_information":{"type":"object","description":"Additional transfer order information"}}}}}}
```

## The TransferOrderShort object

```json
{"openapi":"3.0.3","info":{"title":"OMS Transfers Module API","version":"1.0.0"},"components":{"schemas":{"TransferOrderShort":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"number":{"type":"string","description":"Transfer order number"},"state":{"type":"string","description":"Transfer order state enum value"},"source_erp_code":{"type":"string","description":"Source stock location ERP code"},"destination_erp_code":{"type":"string","description":"Destination stock location ERP code"}}}}}}
```

## The TransferOrderSimple object

```json
{"openapi":"3.0.3","info":{"title":"OMS Transfers Module API","version":"1.0.0"},"components":{"schemas":{"TransferOrderSimple":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"number":{"type":"string","description":"Transfer order number"},"state":{"type":"integer","description":"State ID"},"order":{"type":"integer","description":"Order ID"},"package":{"type":"integer","description":"Package ID"},"source":{"type":"integer","description":"Source stock location ID"},"destination":{"type":"integer","description":"Destination stock location ID"},"created_date":{"type":"string","format":"date-time","description":"Creation timestamp"},"modified_date":{"type":"string","format":"date-time","description":"Last modification timestamp"}}}}}}
```

## The TransferItem object

```json
{"openapi":"3.0.3","info":{"title":"OMS Transfers Module API","version":"1.0.0"},"components":{"schemas":{"TransferItem":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"transfer_order":{"type":"object","description":"Associated transfer order information"},"product":{"type":"object","description":"Product information"},"quantity":{"type":"integer","description":"Quantity of items to transfer"},"state":{"type":"object","description":"Transfer item state information"},"created_date":{"type":"string","format":"date-time","description":"Creation timestamp"},"modified_date":{"type":"string","format":"date-time","description":"Last modification timestamp"}}}}}}
```

## The TransferItemSimple object

```json
{"openapi":"3.0.3","info":{"title":"OMS Transfers Module API","version":"1.0.0"},"components":{"schemas":{"TransferItemSimple":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"transfer_order":{"type":"integer","description":"Transfer order ID"},"product":{"type":"integer","description":"Product ID"},"quantity":{"type":"integer","description":"Quantity of items to transfer"},"state":{"type":"integer","description":"State ID"},"created_date":{"type":"string","format":"date-time","description":"Creation timestamp"},"modified_date":{"type":"string","format":"date-time","description":"Last modification timestamp"}}}}}}
```

## The TransitionLog object

```json
{"openapi":"3.0.3","info":{"title":"OMS Transfers Module API","version":"1.0.0"},"components":{"schemas":{"TransitionLog":{"type":"object","properties":{"id":{"type":"integer","description":"Unique identifier"},"content_object":{"type":"object","description":"Related object information"},"old_state":{"type":"object","description":"Previous state information"},"new_state":{"type":"object","description":"New state information"},"created_date":{"type":"string","format":"date-time","description":"When the transition occurred"},"extra_data":{"type":"object","description":"Additional transition data"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://apidocs.akinon.com/oms-openapis/transfer/models.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
